Modify PostgreSQL database group
This operation is used to modify database group property
Path Parameters
- subclientId string required
ID of database group
- application/json
Request Body
subClientProperties object required
commonProperties object required
isDefaultSubclient boolean requiredcontentOperationType string requiredcontent object[] required
postgreSQLContent object required
databaseName string requiredpostgreSQLSubclientProp object required
numberOfBackupStreams integer requiredcollectObjectListDuringBackup boolean requiredplanEntity object required
planName string requiredassociation object required
entity object[] required
applicationName string requiredinstanceName string requiredclientName string requiredbackupsetName string requiredsubclientName string required
Responses
- 200
- 400
- 401
- 403
- 500
OK
- application/json
- application/xml
- Schema
- Example (from schema)
- Example
Schema
processinginstructioninfo object
attributes object[]
name stringvalue stringresponse object[]
warningCode integererrorCode integerwarningMessage string
{
"processinginstructioninfo": {
"attributes": [
{
"name": "string",
"value": "string"
}
]
},
"response": [
{
"warningCode": 0,
"errorCode": 0,
"warningMessage": "string"
}
]
}
{
"processinginstructioninfo": {
"attributes": [
{
"name": "exitval",
"value": "0"
}
]
},
"response": [
{
"warningCode": 0,
"errorCode": 0,
"warningMessage": ""
}
]
}
- Schema
- Example (from schema)
Schema
processinginstructioninfo object
attributes object[]
name stringvalue stringresponse object[]
warningCode integerResponse warning code
errorCode integerResponse error code
warningMessage stringResponse warning message
<root>
<processinginstructioninfo>
<attributes>
<name>string</name>
<value>string</value>
</attributes>
</processinginstructioninfo>
<response>
<warningCode>0</warningCode>
<errorCode>0</errorCode>
<warningMessage>string</warningMessage>
</response>
</root>
Bad Request
- application/json
- Schema
- Example
Schema
- string
Request body is empty or format is invalid.
Unauthorized
- application/json
- Schema
- Example (from schema)
- Example
Schema
- errorMessage string
- errorCode integer
{
"errorMessage": "string",
"errorCode": 0
}
{
"errorMessage": "Access Denied",
"errorCode": 5
}
Forbidden
- application/json
- Schema
- Example (from schema)
- Example
Schema
- errorMessage string
- errorCode integer
{
"errorMessage": "string",
"errorCode": 0
}
{
"errorMessage": "User [Remote User] does not have required capability [Agent Management] for this subclient and this operation.",
"errorCode": 5
}
Internal Server Error
- application/json
- Schema
- Example (from schema)
- Example
Schema
- errorMessage string
- errorCode integer
{
"errorMessage": "string",
"errorCode": 0
}
{
"errorMessage": "Could not update property changes. Backup running for subclient.",
"errorCode": 1
}
Loading...